Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 922228 - dev-libs/liblouis-3.25.0 installs deprecated .egg/.egg-info (MUSL-SYSTEM)
Summary: dev-libs/liblouis-3.25.0 installs deprecated .egg/.egg-info (MUSL-SYSTEM)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Accessibility Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 921639
  Show dependency tree
 
Reported: 2024-01-16 15:36 UTC by Agostino Sarubbo
Modified: 2024-06-02 08:19 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,356.26 KB, text/plain)
2024-01-16 15:36 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2024-01-16 15:36:15 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: dev-libs/liblouis-3.25.0 installs deprecated .egg/.egg-info (MUSL-SYSTEM).
Discovered on: amd64 (internal ref: tinderbox_musl)

NOTE:
(MUSL-SYSTEM) in the summary means that bug was found on a machine that runs MUSL libc but this bug MAY or MAY NOT BE related to musl.
Comment 1 Agostino Sarubbo gentoo-dev 2024-01-16 15:36:18 UTC
Created attachment 882422 [details]
build.log

build log and emerge --info
Comment 2 Larry the Git Cow gentoo-dev 2024-06-02 08:19:04 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a8155c8cb896e6dc61feaed7feaa94fe98145aa6

commit a8155c8cb896e6dc61feaed7feaa94fe98145aa6
Author:     Alfred Wingate <parona@protonmail.com>
AuthorDate: 2024-05-13 16:27:50 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2024-06-02 08:18:35 +0000

    dev-libs/liblouis: add 3.29.0
    
    * Due to scripts installed with liblouis such as lou_maketable requiring
      python bindings it makes simpler to build python bindings
      unconditionally with a single python target.
    * Enable python3.12 and python3.13, use PEP517 (addresses egg-info bug).
    * Remove libyaml automagic.
    * Install lou_maketable script dir into libexec instead of bin. This differs
      from what other distributions do as Fedora and Debian remove these scripts,
      Arch has it unchanged.
    
    Bug: https://bugs.gentoo.org/914077
    Closes: https://bugs.gentoo.org/909908
    Closes: https://bugs.gentoo.org/913705
    Closes: https://bugs.gentoo.org/914078
    Closes: https://bugs.gentoo.org/922228
    Closes: https://bugs.gentoo.org/929418
    Signed-off-by: Alfred Wingate <parona@protonmail.com>
    Signed-off-by: Sam James <sam@gentoo.org>

 dev-libs/liblouis/Manifest               |   1 +
 dev-libs/liblouis/liblouis-3.29.0.ebuild | 106 +++++++++++++++++++++++++++++++
 2 files changed, 107 insertions(+)